Package org.apache.axiom.om

## Interface OMAttribute

- All Superinterfaces:
    `OMInformationItem`, `OMNamedInformationItem`

      public interface OMAttribute
      extends OMNamedInformationItem

  Interface OMAttribute

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAttributeType()` | Get the attribute type.
    `String` | `getAttributeValue()` | Get the attribute value.
    `OMElement` | `getOwner()` | Returns the owner element of this attribute
    `void` | `setAttributeType​(String value)` |
    `void` | `setAttributeValue​(String value)` |
    `void` | `setOMNamespace​(OMNamespace omNamespace)` | Deprecated. Use `OMNamedInformationItem.setNamespace(OMNamespace, boolean)` instead.

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

    - ### Methods inherited from interface org.apache.axiom.om.OMNamedInformationItem

      `getLocalName, getNamespace, getNamespaceURI, getPrefix, getQName, hasName, setLocalName, setNamespace`

- - ### Method Detail

    - #### getAttributeValue

          String getAttributeValue()

      Get the attribute value.
      Returns:
        the attribute value; never `null`

    - #### setAttributeValue

          void setAttributeValue​(String value)

      Parameters:
        `value` -

    - #### getAttributeType

          String getAttributeType()

      Get the attribute type. For most attributes, the type is `CDATA`.
      Returns:
        the attribute type

    - #### setAttributeType

          void setAttributeType​(String value)

      Parameters:
        `value` -

    - #### setOMNamespace

          void setOMNamespace​(OMNamespace omNamespace)

      Deprecated.
      Use `OMNamedInformationItem.setNamespace(OMNamespace, boolean)` instead.

    - #### getOwner

          OMElement getOwner()

      Returns the owner element of this attribute
      Returns:
        OMElement - The owner element